Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.parameters
Class IDGTrainSMParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet<T>
              de.jstacs.parameters.SequenceScoringParameterSet<T>
                  de.jstacs.sequenceScores.statisticalModels.trainable.discrete.DGTrainSMParameterSet
                      de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.parameters.IDGTrainSMParameterSet

All Implemented Interfaces:
  GalaxyConvertible, Storable, Cloneable

Direct Known Subclasses:
  BayesianNetworkTrainSMParameterSet, FSDAGTrainSMParameterSet

    public abstract class IDGTrainSMParameterSet

extends DGTrainSMParameterSet

This is the abstract container of parameters that is a root container for all inhomogeneous discrete graphical model parameter containers.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`protected` | `IDGTrainSMParameterSet(Class<? extends InhomogeneousDGTrainSM> instanceClass)` This constructor creates an empty `IDGTrainSMParameterSet` instance from the class that can be instantiated using this `IDGTrainSMParameterSet`.
`protected` | `IDGTrainSMParameterSet(Class<? extends InhomogeneousDGTrainSM> instanceClass, AlphabetContainer alphabet, int length, double ess, String description)` This constructor creates an `IDGTrainSMParameterSet` instance for the specified class.
`protected` | `IDGTrainSMParameterSet(StringBuffer s)` The standard constructor for the interface `Storable`.

Method Summary
`static String` | `getModelInstanceName(StructureLearner.ModelType model, byte order, StructureLearner.LearningType method, double ess)` This method returns a short textual representation of the model instance.

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.discrete.DGTrainSMParameterSet
`clone, getInstanceName, hasDefaultOrIsSet, setEss`

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`equals, fromXML, getAlphabetContainer, getLength, getNumberOfParameters, getParameterAt, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass, getInstanceComment`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getParameterForName, getParent, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, setParent, toGalaxy`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDGTrainSMParameterSet

    protected IDGTrainSMParameterSet(StringBuffer s)
                              throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `IDGTrainSMParameterSet` out of its XML representation.

  Parameters:
    `s` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `IDGTrainSMParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` could not be parsed)
  See Also:
    `Storable`, `DGTrainSMParameterSet.DGTrainSMParameterSet(StringBuffer)`

### IDGTrainSMParameterSet

    protected IDGTrainSMParameterSet(Class<? extends InhomogeneousDGTrainSM> instanceClass)

  This constructor creates an empty `IDGTrainSMParameterSet` instance from the class that can be instantiated using this `IDGTrainSMParameterSet`.

  Parameters:
    `instanceClass` - the instance class
  See Also:
    `DGTrainSMParameterSet.DGTrainSMParameterSet(Class, boolean, boolean)`

### IDGTrainSMParameterSet

    protected IDGTrainSMParameterSet(Class<? extends InhomogeneousDGTrainSM> instanceClass,
                                     AlphabetContainer alphabet,
                                     int length,
                                     double ess,
                                     String description)
                              throws Exception

  This constructor creates an `IDGTrainSMParameterSet` instance for the specified class. It sets the `AlphabetContainer`, the length, the ess (equivalent sample size) and the model description.

  Parameters:
    `instanceClass` - the instance class
    `alphabet` - the `AlphabetContainer` for the model
    `length` - the length of the model
    `ess` - the ess of the model
    `description` - the model description
  Throws:
    `Exception` - if something went wrong

Method Detail

### getModelInstanceName

    public static String getModelInstanceName(StructureLearner.ModelType model,
                                              byte order,
                                              StructureLearner.LearningType method,
                                              double ess)

  This method returns a short textual representation of the model instance.

  Parameters:
    `model` - the type of the model
    `order` - the order of the model
    `method` - the learning method
    `ess` - the used ess (equivalent sample size)
  Returns:
    a short textual representation of the model instance
  See Also:
    `StructureLearner.ModelType`, `StructureLearner.LearningType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD